aboutsummaryrefslogtreecommitdiff
path: root/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh')
-rwxr-xr-xbigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh b/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh
new file mode 100755
index 00000000..d3a386ce
--- /dev/null
+++ b/bigtop-deploy/vm/vagrant-puppet-vm/create-sandboxes.sh
@@ -0,0 +1,31 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#!/bin/bash
+
+set -ex
+WORKDIR=${1:-$0.work.dir}
+echo "Cleaning $WORKDIR"
+rm -rf $WORKDIR
+mkdir -p $WORKDIR
+VERSION=${2:-1.0}
+NAME="vagrant-odpi-v$VERSION"
+# clean everything
+vagrant destroy -f
+vagrant up
+vagrant package --output $WORKDIR/${NAME}.box
+vagrant halt
+vmname=`VBoxManage list vms | cut -d \" -f 2 | grep vagrant-puppet-vm_odpi`
+VBoxManage export $vmname --output=$WORKDIR/${NAME}.ova --ovf20
+vagrant destroy -f